chakokuのブログ(rev4)

テック・コミック・ごくまれにチャリ

WSL2を使ってみたいがバージョンが未対応

WSL2を使ってみたいと思い調査

https://docs.microsoft.com/ja-jp/windows/wsl/install-win10

条件:
バージョン 2004、ビルド 19041 以上に更新された Windows 10 を実行していること

バージョン確認方法:[Windowsロゴキー]+[R] -> winver [OK]

該当バージョンは、5末リリース予定で、今更新したければWindows Insider プログラムに参加している必要があるらしい。自分は一般人なので、バージョンも古かった(Version 1909, OS Buid:18363.836)。


というわけで、しばらくはおあずけ

■追記

その後、DLサイトが公開され、そこからバージョン2004の修正プログラムを入手してインストールした。結果、WSL2には上がったが、ノートPCの動作が非常に遅くなった。他のソフトを立ち上げた状態でChromeを立ち上げると、リソース不足に陥ってGoogleMailがまともに動かなくなった。うーん。最初は元気だったノートPCも修正プログラムの適用を重ねるごとにスピードが遅くなって、いまではほとんどまともに動かない状況に。ソフトを切り替えるぐらいなら再起動してから使いたいソフトだけを動かす方がまだ早く切り替わるような状況。。中古で買った古いノートだからまぁしょうがないのだが。